#/////////////////////////////////////////////////////////////////////////////////////////////////////#
#This function is used to send players to the start screen. It also acts as a reset button for the map#
#/////////////////////////////////////////////////////////////////////////////////////////////////////#

#Begin timer
execute if score Countdown:Enter_Lobby Countdown matches ..0 run scoreboard players set Countdown:Enter_Lobby Countdown 10
scoreboard players remove Countdown:Enter_Lobby Countdown 1

#tags
execute if score Countdown:Enter_Lobby Countdown matches 5 run tag @a remove Player:Fight
execute if score Countdown:Enter_Lobby Countdown matches 5 run tag @a remove Kit:Already_Selected
execute if score Countdown:Enter_Lobby Countdown matches 5 run tag @a remove Kit:Red
execute if score Countdown:Enter_Lobby Countdown matches 5 run tag @a remove Kit:Blue
execute if score Countdown:Enter_Lobby Countdown matches 5 run tag @a remove Kit:Yellow
execute if score Countdown:Enter_Lobby Countdown matches 5 run tag @a remove Kit:Green
execute if score Countdown:Enter_Lobby Countdown matches 5 run tag @a remove Kit:Orange
execute if score Countdown:Enter_Lobby Countdown matches 5 run tag @a remove Kit:Tan
execute if score Countdown:Enter_Lobby Countdown matches 5 run tag @a remove Player:Red_Team
execute if score Countdown:Enter_Lobby Countdown matches 5 run tag @a remove Player:Blue_Team

execute if score Countdown:Enter_Lobby Countdown matches 5 run tag @a remove Host:Temp
execute if score Countdown:Enter_Lobby Countdown matches 4 run tag @a[tag=Host:Primary] add Host:Temp
execute if score Countdown:Enter_Lobby Countdown matches 3 unless entity @p[tag=Host:Temp] unless entity @p[tag=Host:Primary] run tag @r add Host:Temp
#Say
execute if score Countdown:Enter_Lobby Countdown matches 2 run say @p[tag=Host:Temp] has control over the pointer
execute if score Countdown:Enter_Lobby Countdown matches 2 run say Right Click/LT/Hold Screen to Select
#Scoreboards
execute if score Countdown:Enter_Lobby Countdown matches 4 run scoreboard players set @a Player:Died 0
execute if score Countdown:Enter_Lobby Countdown matches 4 run scoreboard players set @a Player:Armor 0
execute if score Countdown:Enter_Lobby Countdown matches 4 run scoreboard players set Countdown:Death Countdown 2
execute if score Countdown:Enter_Lobby Countdown matches 4 run scoreboard players set @a Tnc:PlayerNumber 0
execute if score Countdown:Enter_Lobby Countdown matches 4 run scoreboard players set @a Player:Lives 0
execute if score Countdown:Enter_Lobby Countdown matches 4 run scoreboard players set Tnc:Selected_Map Tnc:Selected_Map 0
#Clear
execute if score Countdown:Enter_Lobby Countdown matches 3 run clear @a
execute if score Countdown:Enter_Lobby Countdown matches 3 run effect @a clear
execute if score Countdown:Enter_Lobby Countdown matches 3 run xp -100l @a
#Camera and hud
execute if score Countdown:Enter_Lobby Countdown matches 5 run camera @a fade time 0 0.5 0.5
execute if score Countdown:Enter_Lobby Countdown matches 5 run camera @a[tag=!Player:Large_Menu] set minecraft:free pos -52 17.5 -29 rot 90 180
execute if score Countdown:Enter_Lobby Countdown matches 5 run camera @a[tag=Player:Large_Menu] set minecraft:free pos -52 14 -29 rot 90 180
execute if score Countdown:Enter_Lobby Countdown matches 5 run hud @a hide
execute if score Countdown:Enter_Lobby Countdown matches 4 run hud @a reset touch_controls

#Gamerule, gamemode, and permissions
execute if score Countdown:Enter_Lobby Countdown matches 5 run gamemode d @a
execute if score Countdown:Enter_Lobby Countdown matches 5 run gamerule pvp false
execute if score Countdown:Enter_Lobby Countdown matches 5 run inputpermission set @a camera disabled
execute if score Countdown:Enter_Lobby Countdown matches 5 run inputpermission set @a movement enabled
#Entities
execute if score Countdown:Enter_Lobby Countdown matches 3 run kill @e[family=pointer]
execute if score Countdown:Enter_Lobby Countdown matches 3 run kill @e[type=entity:item_box]
execute if score Countdown:Enter_Lobby Countdown matches 2 run summon kit_pointer:test_pointer ~~~
#Effects
execute if score Countdown:Enter_Lobby Countdown matches 2 run effect @a weakness 10000 255 true
execute if score Countdown:Enter_Lobby Countdown matches 2 run effect @a speed 10000 3 true
execute if score Countdown:Enter_Lobby Countdown matches 2 run effect @a invisibility 10000 2 true
#Teleport
execute if score Countdown:Enter_Lobby Countdown matches 5 run tp @a -52 11 -25 180 0
#Inventory
execute if score Countdown:Enter_Lobby Countdown matches 1 run replaceitem entity @p[tag=Host:Temp] slot.hotbar 0 tnc:select 1 0 {"item_lock": { "mode": "lock_in_slot" }}
execute if score Countdown:Enter_Lobby Countdown matches 1 run replaceitem entity @p[tag=Host:Temp] slot.hotbar 1 tnc:select 1 0 {"item_lock": { "mode": "lock_in_slot" }}
execute if score Countdown:Enter_Lobby Countdown matches 1 run replaceitem entity @p[tag=Host:Temp] slot.hotbar 2 tnc:select 1 0 {"item_lock": { "mode": "lock_in_slot" }}
execute if score Countdown:Enter_Lobby Countdown matches 1 run replaceitem entity @p[tag=Host:Temp] slot.hotbar 3 tnc:select 1 0 {"item_lock": { "mode": "lock_in_slot" }}
execute if score Countdown:Enter_Lobby Countdown matches 1 run replaceitem entity @p[tag=Host:Temp] slot.hotbar 4 tnc:select 1 0 {"item_lock": { "mode": "lock_in_slot" }}
execute if score Countdown:Enter_Lobby Countdown matches 1 run replaceitem entity @p[tag=Host:Temp] slot.hotbar 5 tnc:select 1 0 {"item_lock": { "mode": "lock_in_slot" }}
execute if score Countdown:Enter_Lobby Countdown matches 1 run replaceitem entity @p[tag=Host:Temp] slot.hotbar 6 tnc:select 1 0 {"item_lock": { "mode": "lock_in_slot" }}
execute if score Countdown:Enter_Lobby Countdown matches 1 run replaceitem entity @p[tag=Host:Temp] slot.hotbar 7 tnc:select 1 0 {"item_lock": { "mode": "lock_in_slot" }}
execute if score Countdown:Enter_Lobby Countdown matches 1 run replaceitem entity @p[tag=Host:Temp] slot.hotbar 8 tnc:select 1 0 {"item_lock": { "mode": "lock_in_slot" }}