#///////////////////////////////////////////////////////////////////////////////////////////////#
#There is a timer component in the player.json file that activates this function every tick.////#
#This runs the Sec scoreboard and gives the title, gear, and effects when a player is respawning#
#///////////////////////////////////////////////////////////////////////////////////////////////#

#Settings Cog
execute if score @s Tnc:Sec matches 10 unless entity @s[hasitem={item=tnc:settings}] run replaceitem entity @s slot.inventory 8 tnc:settings 1 0 {"item_lock": { "mode": "lock_in_inventory" } }
#Sec scoreboard
scoreboard players add @s Tnc:Sec 1
execute if score @s Weapon:Hit matches 1.. run scoreboard players remove @s Weapon:Hit 1
execute if score @s Tnc:Sec matches 20.. run scoreboard players set @s Tnc:Sec 0
#Player respawn sequence
#timer
execute unless score @s Player:Died matches ..0 unless score @s Player:Died matches 0.. run scoreboard players add @s Player:Died 0
execute unless score @s Player:Died matches ..0 run scoreboard players remove @s Player:Died 1
#Effects
execute if score @s Player:Died matches 29 run effect @s weakness 3 255
execute if score @s Player:Died matches 29 run effect @s resistance 3 255
execute if score @s Player:Died matches 29 run effect @s speed 3 5
execute if score @s Player:Died matches 29 run effect @s invisibility 3 0
execute if score @s Player:Died matches 29 run effect @s instant_health 3 255 true
#Get the player back in bounds if they got out of the map
execute if score @s Player:Died matches 29 if block ~ 2 ~ stained_glass run tp @s -32 20 -59
#Remove xp
execute if score @s Player:Died matches 29 run xp -1l
#Titles
execute if score @s Player:Died matches 29 run title @s actionbar "Respawning in 3.." 
execute if score @s Player:Died matches 19 run title @s actionbar "Respawning in 2.."
execute if score @s Player:Died matches 10 run title @s actionbar "Respawning in 1.."
#gear
execute if score @s Player:Died matches 1 if entity @s[tag=Kit:Red] run function Kit_Gear/Red
execute if score @s Player:Died matches 1 if entity @s[tag=Kit:Blue] run function Kit_Gear/Blue
execute if score @s Player:Died matches 1 if entity @s[tag=Kit:Yellow] run function Kit_Gear/Yellow
execute if score @s Player:Died matches 1 if entity @s[tag=Kit:Green] run function Kit_Gear/Green
execute if score @s Player:Died matches 1 if entity @s[tag=Kit:Orange] run function Kit_Gear/Orange
execute if score @s Player:Died matches 1 if entity @s[tag=Kit:Tan] run function Kit_Gear/Tan

#tags
execute if score @s Player:Died matches 1 run tag @s add Player:Fight 
