#////////////////////////////////////////////////////////////////////////////////////////////////////////#
#This function is used to start a match. It gives player's gear, loads in the map, and does the countdown#
#////////////////////////////////////////////////////////////////////////////////////////////////////////#

#Begin timer
execute if score Countdown:Start_Fight Countdown matches ..0 run scoreboard players set Countdown:Start_Fight Countdown 161
scoreboard players remove Countdown:Start_Fight Countdown 1
#Transistion from menus to game
execute if score Countdown:Start_Fight Countdown matches 160 run kill @e[family=pointer]
execute if score Countdown:Start_Fight Countdown matches 160 run clear @a
execute if score Countdown:Start_Fight Countdown matches 160 run effect @a clear
execute if score Countdown:Start_Fight Countdown matches 160 run effect @a instant_health 1 255 true
#Prep players
execute if score Countdown:Start_Fight Countdown matches 160 run camera @a fade time 0 1.25 0.5
execute if score Countdown:Start_Fight Countdown matches 160 run inputpermission set @a movement disabled
execute if score Countdown:Start_Fight Countdown matches 160 run inputpermission set @a camera enabled
execute if score Countdown:Start_Fight Countdown matches 160 run hud @a reset
execute if score Countdown:Start_Fight Countdown matches 160 run tag @a add Player:Fight
execute if score Countdown:Start_Fight Countdown matches 160 run scoreboard players set @a Player:Lives 3
execute if score Countdown:Start_Fight Countdown matches 160 run tag @a remove Host:Temp
execute if score Countdown:Start_Fight Countdown matches 160 run xp -100l @a
execute if score Countdown:Start_Fight Countdown matches 150 run xp 3l @a

execute if score Countdown:Start_Fight Countdown matches 150 if score Stg:Teams Tnc:Settings matches 1 run tag @p[scores={Tnc:PlayerNumber=1}] add Player:Red_Team
execute if score Countdown:Start_Fight Countdown matches 150 if score Stg:Teams Tnc:Settings matches 1 run tag @p[scores={Tnc:PlayerNumber=2}] add Player:Blue_Team
execute if score Countdown:Start_Fight Countdown matches 150 if score Stg:Teams Tnc:Settings matches 1 run tag @p[scores={Tnc:PlayerNumber=3}] add Player:Red_Team
execute if score Countdown:Start_Fight Countdown matches 150 if score Stg:Teams Tnc:Settings matches 1 run tag @p[scores={Tnc:PlayerNumber=4}] add Player:Blue_Team



#Give players kits
execute if score Countdown:Start_Fight Countdown matches 150 as @a[tag=Kit:Red] run function Kit_Gear/Red
execute if score Countdown:Start_Fight Countdown matches 150 as @a[tag=Kit:Blue] run function Kit_Gear/Blue
execute if score Countdown:Start_Fight Countdown matches 150 as @a[tag=Kit:Yellow] run function Kit_Gear/Yellow
execute if score Countdown:Start_Fight Countdown matches 150 as @a[tag=Kit:Green] run function Kit_Gear/Green
execute if score Countdown:Start_Fight Countdown matches 150 as @a[tag=Kit:Orange] run function Kit_Gear/Orange
execute if score Countdown:Start_Fight Countdown matches 150 as @a[tag=Kit:Tan] run function Kit_Gear/Tan
#Load in map
execute if score Countdown:Start_Fight Countdown matches 150 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 run structure load Blank.map -41 7 -68
execute if score Countdown:Start_Fight Countdown matches 150 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 run structure load Blank.map -1 7 -68

execute if score Countdown:Start_Fight Countdown matches 160 if score Tnc:Selected_Map Tnc:Selected_Map matches 0 run scoreboard players random Tnc:Selected_Biome Tnc:Selected_Map 1 2
execute if score Countdown:Start_Fight Countdown matches 160 if score Tnc:Selected_Map Tnc:Selected_Map matches 0 run scoreboard players random Tnc:Selected_Map Tnc:Selected_Map 1 4

execute if score Countdown:Start_Fight Countdown matches 130 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 1 run structure load Garden.map -41 7 -68
execute if score Countdown:Start_Fight Countdown matches 130 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 2 run structure load Town.map -41 7 -68
execute if score Countdown:Start_Fight Countdown matches 130 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 3 run structure load Forest.map -41 7 -68
execute if score Countdown:Start_Fight Countdown matches 130 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 4 run structure load Hills.map -41 7 -68

execute if score Countdown:Start_Fight Countdown matches 130 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 1 run structure load Mine.map -1 7 -68
execute if score Countdown:Start_Fight Countdown matches 130 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 2 run structure load Desert_Town.map -1 7 -68
execute if score Countdown:Start_Fight Countdown matches 130 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 3 run structure load Temple.map -1 7 -68
execute if score Countdown:Start_Fight Countdown matches 130 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 4 run structure load Ruins.map -1 7 -68

#kill arrows and items
execute if score Countdown:Start_Fight Countdown matches 125 run kill @e[type=arrow]
execute if score Countdown:Start_Fight Countdown matches 125 run kill @e[type=item]

#Teleport Players
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 1 run tp @p[scores={Tnc:PlayerNumber=1}] -32 12 -52
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 1 run tp @p[scores={Tnc:PlayerNumber=2}] -32 12 -66
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 1 run tp @p[scores={Tnc:PlayerNumber=3}] -25 12 -59
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 1 run tp @p[scores={Tnc:PlayerNumber=4}] -38 12 -59

execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 2 run tp @p[scores={Tnc:PlayerNumber=1}] -32 12 -52
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 2 run tp @p[scores={Tnc:PlayerNumber=2}] -32 12 -66
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 2 run tp @p[scores={Tnc:PlayerNumber=3}] -25 12 -59
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 2 run tp @p[scores={Tnc:PlayerNumber=4}] -38 12 -59

execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 3 run tp @p[scores={Tnc:PlayerNumber=1}] -32 13 -52
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 3 run tp @p[scores={Tnc:PlayerNumber=2}] -32 12 -66
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 3 run tp @p[scores={Tnc:PlayerNumber=3}] -25 13 -59
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 3 run tp @p[scores={Tnc:PlayerNumber=4}] -36 13 -58

execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 4 run tp @p[scores={Tnc:PlayerNumber=1}] -27 13 -53
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 4 run tp @p[scores={Tnc:PlayerNumber=2}] -37 14 -66
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 4 run tp @p[scores={Tnc:PlayerNumber=3}] -26 15 -65
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 if score Tnc:Selected_Map Tnc:Selected_Map matches 4 run tp @p[scores={Tnc:PlayerNumber=4}] -39 17 -52

execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 1 run tp @p[scores={Tnc:PlayerNumber=1}] 2 12 -53
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 1 run tp @p[scores={Tnc:PlayerNumber=2}] 15 20 -65
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 1 run tp @p[scores={Tnc:PlayerNumber=3}] 2 20 -65
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 1 run tp @p[scores={Tnc:PlayerNumber=4}] 15 12 -52

execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 2 run tp @p[scores={Tnc:PlayerNumber=1}] 8 12 -52
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 2 run tp @p[scores={Tnc:PlayerNumber=2}] 15 12 -62
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 2 run tp @p[scores={Tnc:PlayerNumber=3}] 6 12 -66
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 2 run tp @p[scores={Tnc:PlayerNumber=4}] 4 12 -61

execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 3 run tp @p[scores={Tnc:PlayerNumber=1}] 8 12 -52
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 3 run tp @p[scores={Tnc:PlayerNumber=2}] 8 12 -66
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 3 run tp @p[scores={Tnc:PlayerNumber=3}] 15 12 -59
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 3 run tp @p[scores={Tnc:PlayerNumber=4}] 2 12 -59

execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 4 run tp @p[scores={Tnc:PlayerNumber=1}] 3 12 -54
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 4 run tp @p[scores={Tnc:PlayerNumber=2}] 15 16 -66
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 4 run tp @p[scores={Tnc:PlayerNumber=3}] 3 12 -64
execute if score Countdown:Start_Fight Countdown matches 120 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 if score Tnc:Selected_Map Tnc:Selected_Map matches 4 run tp @p[scores={Tnc:PlayerNumber=4}] 14 16 -64

#Countdown
execute if score Countdown:Start_Fight Countdown matches 159 if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 run camera @a set minecraft:free pos -32 25.5 -59 rot 90 180
execute if score Countdown:Start_Fight Countdown matches 159 if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 run camera @a set minecraft:free pos 8 25.5 -59 rot 90 180

execute if score Countdown:Start_Fight Countdown matches 110 as @a at @s run camera @s set minecraft:free ease 1.5 in_out_cubic pos ~~2.1~
execute if score Countdown:Start_Fight Countdown matches 110 run camera @a fade time 1 0.75 0.5 
execute if score Countdown:Start_Fight Countdown matches 80 run camera @a clear

execute if score Countdown:Start_Fight Countdown matches 120 run title @a title Get Ready...
execute if score Countdown:Start_Fight Countdown matches 120 as @a at @s run playsound random.orb @s ~~~ 100
execute if score Countdown:Start_Fight Countdown matches 80 run title @a title 3
execute if score Countdown:Start_Fight Countdown matches 80 as @a at @s run playsound block.click @s ~~~ 100
execute if score Countdown:Start_Fight Countdown matches 52 run title @a title 2
execute if score Countdown:Start_Fight Countdown matches 52 as @a at @s run playsound block.click @s ~~~ 100
execute if score Countdown:Start_Fight Countdown matches 26 run title @a title 1
execute if score Countdown:Start_Fight Countdown matches 26 as @a at @s run playsound block.click @s ~~~ 100

execute if score Countdown:Start_Fight Countdown matches 1 run title @a title GO!
execute if score Countdown:Start_Fight Countdown matches 1 as @a at @s run playsound block.bell.hit @s ~~~ 100

execute if score Countdown:Start_Fight Countdown matches 1 run inputpermission set @a movement enabled
execute if score Countdown:Start_Fight Countdown matches 1 run gamerule pvp true
