#///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////#
#This function activates when the player dies (found in the player.json file).//////////////////////////////////////////////////#
#It teleports them back, removes a stock, and sets the scoreboard to activate the respawn sequence in the Player_Sprint function#
#///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////#

#Reset player
clear @s
tag @s remove Player:Fight
replaceitem entity @s slot.armor.feet 0 iron_boots 1 0 {"item_lock":{"mode":"lock_in_slot"}}
#Tan Passive
give @s[tag=Kit:Tan] weapon:dynamite
#Scoreboard
scoreboard players set @a Tnc:Sec 11
    #//The game checks if there is one player left every time the Sec scoreboard is at 10.
    #//We set it to 11 just in case the player died at the exact same time the scoreboard is at 10 so that the game doesn't
    #//Give a false Win to the other player and end early.
scoreboard players remove @s Player:Lives 1
execute unless score @s Player:Lives matches ..0 run scoreboard players set @s Player:Died 35
#Health Syphon (only activates when there are three or more players)
execute if entity @a[scores={Tnc:PlayerNumber=3..}] run effect @a[r=5] instant_health 1 1 true
scoreboard players set @a[r=5,tag=!Kit:Blue] Player:Armor 10
scoreboard players set @a[r=5,tag=Kit:Blue] Player:Armor 15
#Give Orange's shield back (this is like a secret passive Orange has. You get the shield back when you kill a player)
execute if entity @p[tag=Kit:Orange,r=5] run replaceitem entity @p[tag=Kit:Orange,tag=Player:Fight,r=5] slot.weapon.offhand 0 shield 1 340 {"item_lock":{"mode":"lock_in_inventory"}}
#Gamemode
gamemode spectator @s[scores={Player:Lives=0}]
#*special Effects*
title @a actionbar @s died
playsound random.orb @a
particle minecraft:totem_particle ~~1~
