#//////////////////////////////////////////////////////////////////////////////////////////////////////////////#
#This function is simular to Player_Sprint, but it is activated only when the player has the "Player:Fight" tag#
#This controls the players armor, the arrow limit, and some passive and active abilities.//////////////////////#
#//////////////////////////////////////////////////////////////////////////////////////////////////////////////#

#Remove Armor on hit
execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 10 unless entity @s[hasitem={item=armor:twenty}] run replaceitem entity @s slot.armor.legs 0 armor:twenty 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 9 unless entity @s[hasitem={item=armor:eighteen}] run replaceitem entity @s slot.armor.legs 0 armor:eighteen 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 8 unless entity @s[hasitem={item=armor:sixteen}] run replaceitem entity @s slot.armor.legs 0 armor:sixteen 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 7 unless entity @s[hasitem={item=armor:fourteen}] run replaceitem entity @s slot.armor.legs 0 armor:fourteen 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 6 unless entity @s[hasitem={item=armor:twelve}] run replaceitem entity @s slot.armor.legs 0 armor:twelve 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 5 unless entity @s[hasitem={item=armor:ten}] run replaceitem entity @s slot.armor.legs 0 armor:ten 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 4 unless entity @s[hasitem={item=armor:eight}] run replaceitem entity @s slot.armor.legs 0 armor:eight 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 3 unless entity @s[hasitem={item=armor:six}] run replaceitem entity @s slot.armor.legs 0 armor:six 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 2 unless entity @s[hasitem={item=armor:four}] run replaceitem entity @s slot.armor.legs 0 armor:four 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 1 unless entity @s[hasitem={item=armor:two}] run replaceitem entity @s slot.armor.legs 0 armor:two 1 0 {"item_lock":{"mode":"lock_in_slot"}}
#Visual Armor
    #FFA
        execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 7..10 unless entity @s[hasitem={item=armor:strong}] if score Stg:Teams Tnc:Settings matches 0 run replaceitem entity @s slot.armor.feet 0 armor:strong 1 0 {"item_lock":{"mode":"lock_in_slot"}}
        execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 4..6 unless entity @s[hasitem={item=armor:medium}] if score Stg:Teams Tnc:Settings matches 0 run replaceitem entity @s slot.armor.feet 0 armor:medium 1 0 {"item_lock":{"mode":"lock_in_slot"}}
        execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 1..3 unless entity @s[hasitem={item=armor:weak}] if score Stg:Teams Tnc:Settings matches 0 run replaceitem entity @s slot.armor.feet 0 armor:weak 1 0 {"item_lock":{"mode":"lock_in_slot"}}
        execute if score @s Player:Armor matches 0 if score Stg:Teams Tnc:Settings matches 0 run replaceitem entity @s slot.armor.feet 0 air
    #Red_Team 
        execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 7..10 unless entity @s[hasitem={item=armor:strong_red}] if entity @s[tag=Player:Red_Team] if score Stg:Teams Tnc:Settings matches 1 run replaceitem entity @s slot.armor.feet 0 armor:strong_red 1 0 {"item_lock":{"mode":"lock_in_slot"}}
        execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 4..6 unless entity @s[hasitem={item=armor:medium_red}] if entity @s[tag=Player:Red_Team] if score Stg:Teams Tnc:Settings matches 1 run replaceitem entity @s slot.armor.feet 0 armor:medium_red 1 0 {"item_lock":{"mode":"lock_in_slot"}}
        execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 1..3 unless entity @s[hasitem={item=armor:weak_red}] if entity @s[tag=Player:Red_Team] if score Stg:Teams Tnc:Settings matches 1 run replaceitem entity @s slot.armor.feet 0 armor:weak_red 1 0 {"item_lock":{"mode":"lock_in_slot"}}
        execute if score @s Player:Armor matches 0 unless entity @s[hasitem={item=armor:red_band}] if entity @s[tag=Player:Red_Team] if score Stg:Teams Tnc:Settings matches 1 run replaceitem entity @s slot.armor.feet 0 armor:red_band 1 0 {"item_lock":{"mode":"lock_in_slot"}}
    #Blue_Team 
        execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 7..10 unless entity @s[hasitem={item=armor:strong_red}] if entity @s[tag=Player:Blue_Team] if score Stg:Teams Tnc:Settings matches 1 run replaceitem entity @s slot.armor.feet 0 armor:strong_blue 1 0 {"item_lock":{"mode":"lock_in_slot"}}
        execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 4..6 unless entity @s[hasitem={item=armor:medium_red}] if entity @s[tag=Player:Blue_Team] if score Stg:Teams Tnc:Settings matches 1 run replaceitem entity @s slot.armor.feet 0 armor:medium_blue 1 0 {"item_lock":{"mode":"lock_in_slot"}}
        execute unless entity @s[tag=Kit:Blue] if score @s Player:Armor matches 1..3 unless entity @s[hasitem={item=armor:weak_red}] if entity @s[tag=Player:Blue_Team] if score Stg:Teams Tnc:Settings matches 1 run replaceitem entity @s slot.armor.feet 0 armor:weak_blue 1 0 {"item_lock":{"mode":"lock_in_slot"}}
        execute if score @s Player:Armor matches 0 unless entity @s[hasitem={item=armor:blue_band}] if entity @s[tag=Player:Blue_Team] if score Stg:Teams Tnc:Settings matches 1 run replaceitem entity @s slot.armor.feet 0 armor:blue_band 1 0 {"item_lock":{"mode":"lock_in_slot"}}

#Remove Armor on Hit (Blue's passive)
execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 14..15 unless entity @s[hasitem={item=armor:twenty}] run replaceitem entity @s slot.armor.legs 0 armor:twenty 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 13 unless entity @s[hasitem={item=armor:eighteen}] run replaceitem entity @s slot.armor.legs 0 armor:eighteen 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 11..12 unless entity @s[hasitem={item=armor:sixteen}] run replaceitem entity @s slot.armor.legs 0 armor:sixteen 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 10 unless entity @s[hasitem={item=armor:fourteen}] run replaceitem entity @s slot.armor.legs 0 armor:fourteen 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 8..9 unless entity @s[hasitem={item=armor:twelve}] run replaceitem entity @s slot.armor.legs 0 armor:twelve 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 7 unless entity @s[hasitem={item=armor:ten}] run replaceitem entity @s slot.armor.legs 0 armor:ten 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 5..6 unless entity @s[hasitem={item=armor:eight}] run replaceitem entity @s slot.armor.legs 0 armor:eight 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 4 unless entity @s[hasitem={item=armor:six}] run replaceitem entity @s slot.armor.legs 0 armor:six 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 2..3 unless entity @s[hasitem={item=armor:four}] run replaceitem entity @s slot.armor.legs 0 armor:four 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 1 unless entity @s[hasitem={item=armor:two}] run replaceitem entity @s slot.armor.legs 0 armor:two 1 0 {"item_lock":{"mode":"lock_in_slot"}}

#Visual Armor (Blue)
    #FFA
        execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 10..15 unless entity @s[hasitem={item=armor:strong}] if score Stg:Teams Tnc:Settings matches 0 run replaceitem entity @s slot.armor.feet 0 armor:strong 1 0 {"item_lock":{"mode":"lock_in_slot"}}
        execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 5..9 unless entity @s[hasitem={item=armor:medium}] if score Stg:Teams Tnc:Settings matches 0 run replaceitem entity @s slot.armor.feet 0 armor:medium 1 0 {"item_lock":{"mode":"lock_in_slot"}}
        execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 1..4 unless entity @s[hasitem={item=armor:weak}] if score Stg:Teams Tnc:Settings matches 0 run replaceitem entity @s slot.armor.feet 0 armor:weak 1 0 {"item_lock":{"mode":"lock_in_slot"}}
    #Red_Team 
        execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 10..15 unless entity @s[hasitem={item=armor:strong_red}] if entity @s[tag=Player:Red_Team] if score Stg:Teams Tnc:Settings matches 1 run replaceitem entity @s slot.armor.feet 0 armor:strong_red 1 0 {"item_lock":{"mode":"lock_in_slot"}}
        execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 5..9 unless entity @s[hasitem={item=armor:medium_red}] if entity @s[tag=Player:Red_Team] if score Stg:Teams Tnc:Settings matches 1 run replaceitem entity @s slot.armor.feet 0 armor:medium_red 1 0 {"item_lock":{"mode":"lock_in_slot"}}
        execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 1..4 unless entity @s[hasitem={item=armor:weak_red}] if entity @s[tag=Player:Red_Team] if score Stg:Teams Tnc:Settings matches 1 run replaceitem entity @s slot.armor.feet 0 armor:weak_red 1 0 {"item_lock":{"mode":"lock_in_slot"}}
    #Blue_Team 
        execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 10..15 unless entity @s[hasitem={item=armor:strong_red}] if entity @s[tag=Player:Blue_Team] if score Stg:Teams Tnc:Settings matches 1 run replaceitem entity @s slot.armor.feet 0 armor:strong_blue 1 0 {"item_lock":{"mode":"lock_in_slot"}}
        execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 5..9 unless entity @s[hasitem={item=armor:medium_red}] if entity @s[tag=Player:Blue_Team] if score Stg:Teams Tnc:Settings matches 1 run replaceitem entity @s slot.armor.feet 0 armor:medium_blue 1 0 {"item_lock":{"mode":"lock_in_slot"}}
        execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 1..4 unless entity @s[hasitem={item=armor:weak_red}] if entity @s[tag=Player:Blue_Team] if score Stg:Teams Tnc:Settings matches 1 run replaceitem entity @s slot.armor.feet 0 armor:weak_blue 1 0 {"item_lock":{"mode":"lock_in_slot"}}
#Kit specific armor
execute if entity @s[tag=Kit:Red] if score @s Player:Armor matches 0 unless entity @s[hasitem={item=armor:red_1}] run replaceitem entity @s slot.armor.legs 0 armor:red_1 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Blue] if score @s Player:Armor matches 0 unless entity @s[hasitem={item=armor:blue_1}] run replaceitem entity @s slot.armor.legs 0 armor:blue_1 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Yellow] if score @s Player:Armor matches 0 unless entity @s[hasitem={item=armor:yellow_1}] run replaceitem entity @s slot.armor.legs 0 armor:yellow_1 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Green] if score @s Player:Armor matches 0 unless entity @s[hasitem={item=armor:green_1}] run replaceitem entity @s slot.armor.legs 0 armor:green_1 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Orange] if score @s Player:Armor matches 0 unless entity @s[hasitem={item=armor:orange_1}] run replaceitem entity @s slot.armor.legs 0 armor:orange_1 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Tan] if score @s Player:Armor matches 0 unless entity @s[hasitem={item=armor:tan_1}] run replaceitem entity @s slot.armor.legs 0 armor:tan_1 1 0 {"item_lock":{"mode":"lock_in_slot"}}

#Green Active
execute if entity @s[tag=Kit:Green] unless entity @s[hasitem={item=crossbow,location=slot.hotbar,slot=8}] unless entity @s[hasitem={item=active:green}] run replaceitem entity @s slot.hotbar 8 active:green 1 0 {"item_lock":{"mode":"lock_in_inventory"}}
kill @e[type=item,name=Crossbow]
    #//This is to prevent Green from making infinite Crossbows with their Active Ability
#Tan Active
execute if entity @s[tag=Kit:Tan] at @s unless block ~~-0.75~ air unless entity @s[hasitem={item=active:tan_0}] run replaceitem entity @s slot.hotbar 8 active:tan_0 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Tan] at @s if block ~~-0.75~ air unless entity @s[hasitem={item=active:tan_1}] run replaceitem entity @s slot.hotbar 8 active:tan_1 1 0 {"item_lock":{"mode":"lock_in_slot"}}

    #//This is to prevent Green from making infinite Crossbows with their Active Ability
#Red Passive
execute if entity @s[tag=Kit:Red] if score @s Weapon:Hit matches 14.. run effect @s strength 1 0 true
execute if entity @s[tag=Kit:Red] if score @s Weapon:Hit matches 1 run title @s actionbar §c[] [] [] 
execute if entity @s[tag=Kit:Red] if score @s Weapon:Hit matches 3..6 run title @s actionbar §c█ [] [] 
execute if entity @s[tag=Kit:Red] if score @s Weapon:Hit matches 8..12 run title @s actionbar §e█ █ [] 
execute if entity @s[tag=Kit:Red] if score @s Weapon:Hit matches 14.. run title @s actionbar §a█ █ █ 
#Orange Active
execute if score @s Tnc:Sec matches 10 unless score @s Active:Cooldown matches 34.. run scoreboard players add @s[tag=Kit:Orange] Active:Cooldown 1 
execute if entity @s[tag=Kit:Orange] unless entity @s[hasitem={item=golden_apple}] if score @s Active:Cooldown matches 35.. run scoreboard players set @s Active:Cooldown 0
execute if entity @s[tag=Kit:Orange] unless entity @s[hasitem={item=golden_apple}] if score @s Active:Cooldown matches 34.. run replaceitem entity @s slot.hotbar 8 golden_apple 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Orange] if entity @s[hasitem={item=golden_apple}] unless score @s Active:Cooldown matches 35.. run scoreboard players set @s[tag=Kit:Orange] Active:Cooldown 35
execute if entity @s[tag=Kit:Orange] unless entity @s[hasitem={item=active:orange_cooldown_0}] if score @s Active:Cooldown matches 0..12 run replaceitem entity @s slot.hotbar 8 active:orange_cooldown_0 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Orange] unless entity @s[hasitem={item=active:orange_cooldown_1}] if score @s Active:Cooldown matches 13..22 run replaceitem entity @s slot.hotbar 8 active:orange_cooldown_1 1 0 {"item_lock":{"mode":"lock_in_slot"}}
execute if entity @s[tag=Kit:Orange] unless entity @s[hasitem={item=active:orange_cooldown_2}] if score @s Active:Cooldown matches 23..34 run replaceitem entity @s slot.hotbar 8 active:orange_cooldown_2 1 0 {"item_lock":{"mode":"lock_in_slot"}}
#Tan Mace
execute if entity @s[tag=Kit:Tan,hasitem={item=mace,location=slot.weapon.mainhand}] if score @s Weapon:Hit matches 0 run enchant @s wind_burst 1
execute if entity @s[tag=Kit:Tan] if score @s Weapon:Hit matches 1..39 run replaceitem entity @s slot.hotbar 0 mace 1 0 {"item_lock": { "mode": "lock_in_slot" } }

#Arrow limit
execute if entity @s[hasitem={item=arrow,quantity=3..}] run clear @s arrow 0 1
execute if entity @s[hasitem={item=weapon:dynamite,quantity=3..}] run clear @s weapon:dynamite 0 1
execute if entity @s[hasitem={item=arrow,quantity=3..}] run clear @s arrow 43 1
execute if entity @s[hasitem={item=arrow,location=slot.hotbar,data=28}] run clear @s arrow 28
#Spawnpoint
execute as @a at @s unless block ~ 2 ~ stained_glass run spawnpoint @s ~~~
#Out of bounds check
execute at @s if block ~ 2 ~ red_stained_glass unless entity @p[m=c] unless score Countdown:Start_Fight Countdown matches 1.. run kill @s
execute at @s if block -13 ~-3~ red_stained_glass if score Tnc:Selected_Biome Tnc:Selected_Map matches 1 run tp @s -32 20 -59
execute at @s if block -13 ~-3~ red_stained_glass if score Tnc:Selected_Biome Tnc:Selected_Map matches 2 run tp @s 8 20 -59

#Item spawn chance
execute as @s if score @s Tnc:Sec matches 10 if score Stg:Items Tnc:Settings matches 0 run function Item_Spawn